> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Deny Cancellation Request

> Deny a cancellation Request for a Order or OrderItem



## OpenAPI

````yaml /openapi/scx/seller.json put /v1/channel/order/cancellation-denied
openapi: 3.0.2
info:
  title: SCX Seller API
  version: '1.0'
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: |
    SCX Seller API
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox Environment
security: []
tags:
  - name: Account
    description: Seller account management
  - name: Offer
    description: Seller offer management
  - name: Events
    description: Channel and system events for the seller
  - name: Meta
    description: Channel meta information (categories, attributes, rules)
  - name: Order
    description: Order processing, payments, shipping, cancellations and refunds
  - name: Report
    description: Seller report generation and retrieval
  - name: Ticket
    description: Channel ticket management
paths:
  /v1/channel/order/cancellation-denied:
    put:
      tags:
        - Order
      summary: Deny Cancellation Request
      description: Deny a cancellation Request for a Order or OrderItem
      operationId: OrderCancellationRequestDenied
      requestBody:
        $ref: '#/components/requestBodies/OrderCancellationDeniedRequest'
      responses:
        '201':
          description: Order Cancellation denied
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '404':
          $ref: '#/components/responses/ResourceNotFound'
        '429':
          $ref: '#/components/responses/RequestThrottled'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - SellerAuth: []
components:
  requestBodies:
    OrderCancellationDeniedRequest:
      description: >-
        Seller denial of a cancellation that was previously requested by the
        marketplace customer.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/OrderCancellationDenied'
  responses:
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    ResourceNotFound:
      description: Requested resource not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN404
                message: Not found
                severity: error
                hint: null
    RequestThrottled:
      description: User has send to many requests
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    OrderCancellationDenied:
      description: >-
        Seller rejection of a cancellation request previously raised by the
        marketplace, including the reason.
      title: OrderCancellationDenied
      type: object
      required:
        - channel
      allOf:
        - type: object
          properties:
            channel:
              $ref: '#/components/schemas/Channel'
        - $ref: '#/components/schemas/CancellationDenied'
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
    Channel:
      description: |
        This is the unique Channel name.
      type: string
      example: MYBESTDEALCOMDE
      pattern: ^\w{5,15}$
    CancellationDenied:
      required:
        - sellerId
        - orderCancellationRequestId
        - reason
      properties:
        sellerId:
          $ref: '#/components/schemas/SellerId'
        orderCancellationRequestId:
          $ref: '#/components/schemas/OrderCancellationRequestId'
        reason:
          type: string
          maxLength: 250
    SellerId:
      description: >
        A unique Id identify a Seller on a specific SalesChannel. The SellerId
        is generated

        from the Channel itself during the Seller SignUp Process.
      type: string
      example: '4711'
      pattern: ^\w{1,50}$
    OrderCancellationRequestId:
      type: string
      description: >
        A unique identifier for the order cancellation request. This ID should
        by used by Seller to identify the cancellation response from the
        Channel.
      format: uuid
      example: 82992d3a-b153-4422-b539-f4d1f1b4aecb
  securitySchemes:
    SellerAuth:
      description: >
        Bearer JWT issued to a seller after they sign up for a JTL-Scx
        subscription via the JTL

        Customer Center. Usage format: `Bearer <JWT>`.
      type: http
      scheme: bearer
      bearerFormat: JWT

````